{"id":"CVE-2026-76182","published":"2026-10-15T09:17:18.300","lastModified":"2026-10-15T14:41:34.110","description":"In Eclipse Jetty, `TryPathsHandler` and `TryFilesFilter` can be configured to forward requests to template URIs such as `index?p=$path`, where `$path` is the request path in context.\n\n\n\nHowever, URI paths may contain characters that are reserved in URI queries so that a path of `/s&a=1` when applied to the template becomes `index?p=/s&a=1`, which is interpreted as 2 query parameters: `p=/s` and `a=1`, rather than just one query parameter `p` whose value is `/s&a=1`.","cvssScore":null,"cvssSeverity":null,"cvssVector":null,"cwes":["CWE-74"],"vendors":[],"products":[],"references":[{"url":"https://github.com/jetty/jetty.project/security/advisories/GHSA-4hxv-32vm-5h2m","tags":[]},{"url":"https://gitlab.eclipse.org/security/cve-assignment/-/work_items/237","tags":[]},{"url":"https://github.com/jetty/jetty.project/security/advisories/GHSA-4hxv-32vm-5h2m","tags":[]}],"exploitRefs":[{"url":"https://github.com/jetty/jetty.project/security/advisories/GHSA-4hxv-32vm-5h2m","tags":[]},{"url":"https://github.com/jetty/jetty.project/security/advisories/GHSA-4hxv-32vm-5h2m","tags":[]}],"hasPoc":true,"ai":null}